Bug 1713681 - [4.1.z] Unable to use shell variable in build config environment variable section when variable name includes a '.'
Summary: [4.1.z] Unable to use shell variable in build config environment variable sec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.1.z
Assignee: Adam Kaplan
QA Contact: wewang
URL:
Whiteboard: 4.1.3
Depends On: 1712245
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-24 13:26 UTC by Adam Kaplan
Modified: 2019-06-26 08:50 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: environment variables were not properly escaped in s2i's generated Dockerfile Consequence: Source strategy builds which included shell variables as an environment variable would fail Fix: environment variables are properly escaped when s2i generates the Dockerfile consumed by buildah Result: builds can use shell variables as an environment variable value
Clone Of: 1712245
Environment:
Last Closed: 2019-06-26 08:50:22 UTC
Target Upstream Version:
adam.kaplan: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1589 None None None 2019-06-26 08:50:29 UTC
Red Hat Bugzilla 1712245 None CLOSED Unable to use shell variable in build config environment variable section when variable name includes a '.' 2019-10-28 09:27:44 UTC

Comment 2 Adam Kaplan 2019-05-30 19:54:50 UTC
PR: https://github.com/openshift/builder/pull/77

Comment 14 errata-xmlrpc 2019-06-26 08:50:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1589


Note You need to log in before you can comment on or make changes to this bug.